AbstractBulkRecordWriter.NullOutputHandler (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.hadoop

## Class AbstractBulkRecordWriter.NullOutputHandler

- java.lang.Object
- - org.apache.cassandra.hadoop.AbstractBulkRecordWriter.NullOutputHandler

- All Implemented Interfaces:
    OutputHandler
  Enclosing class:
    AbstractBulkRecordWriter<K,V>

      public static class AbstractBulkRecordWriter.NullOutputHandler
      extends java.lang.Object
      implements OutputHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.utils.OutputHandler

      `OutputHandler.LogOutput, OutputHandler.SystemOutput`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBulkRecordWriter.NullOutputHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String msg)`
    `void` | `output(java.lang.String msg)`
    `void` | `warn(java.lang.String msg)`
    `void` | `warn(java.lang.String msg, java.lang.Throwable th)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBulkRecordWriter.NullOutputHandler

          public AbstractBulkRecordWriter.NullOutputHandler()

  - ### Method Detail

    - #### output

          public void output(java.lang.String msg)

      Specified by:
        `output` in interface `OutputHandler`

    - #### debug

          public void debug(java.lang.String msg)

      Specified by:
        `debug` in interface `OutputHandler`

    - #### warn

          public void warn(java.lang.String msg)

      Specified by:
        `warn` in interface `OutputHandler`

    - #### warn

          public void warn(java.lang.String msg,
                  java.lang.Throwable th)

      Specified by:
        `warn` in interface `OutputHandler`

Copyright © 2014 The Apache Software Foundation